import createAxios from '@/utils/request'

//新增组态项目
export function add(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/csconfiguration/add',
        method: 'post',
        data
    })
}
//组态项目分页查询
export function coFqueryPage(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/csconfiguration/queryPage',
        method: 'post',
        data
    })
}
//修改组态项目
export function audit(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/csconfiguration/audit',
        method: 'post',
        data
    })
}
//组态页面分页查询
export function queryPageData(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/cspage/queryPage',
        method: 'post',
        data
    })
}
//查询工程列表
export function deviceTree(data: any) {
    return createAxios({
        url: '/cs-device-boot/csLedger/deviceTree',
        method: 'post',
        data
    })
}

//三层设备树(项目层根节点为治理设备和便携式设备组态)
export function getztProjectTree() {
    return createAxios({
        url: '/cs-device-boot/csLedger/getztProjectTree',
        method: 'post',
    })
}

//根据用户id获取组件信息
export function getByUserId(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/cspage/getByUserId',
        method: 'post',
        params: data
    })
}
//c保存组态界面与用户的关系
export function savePageIdWithUser(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/cspage/savePageIdWithUser',
        method: 'post',
        params: data
    })
}
//新增稳态指标方案
export function save(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/csHarmonicPlan/save',
        method: 'post',
        data: data
    })
}
//修改稳态指标方案
export function update(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/csHarmonicPlan/update',
        method: 'post',
        data: data
    })
}
//新增稳态指标方案
export function deletePlan(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/csHarmonicPlan/delete',
        method: 'post',
        data: data
    })
}
//根据ID查询稳态指标方案
export function getById(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/csHarmonicPlan/getById',
        method: 'GET',
        params: data
    })
}
